| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iOffscreenCanvasCallback Struct Reference
[2D, 2D]

When you create an offscreen canvas (CreateOffscreenCanvas()) then you can use this callback to get informed when the texture has been modified (FinishDraw() called) or a palette entry is modified. More...

`#include <ivideo/graph2d.h>`

Inheritance diagram for iOffscreenCanvasCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | FinishDraw (iGraphics2D *canvas)=0
| FinishDraw has been called.
virtual void | SetRGB (iGraphics2D *canvas, int idx, int r, int g, int b)=0
| Palette entry has been modified.

## Detailed Description

When you create an offscreen canvas (CreateOffscreenCanvas()) then you can use this callback to get informed when the texture has been modified (FinishDraw() called) or a palette entry is modified.

Definition at line 142 of file graph2d.h.

## Member Function Documentation

virtual void iOffscreenCanvasCallback::FinishDraw | ( | iGraphics2D * | canvas | ) | `[pure virtual]`

FinishDraw has been called.

virtual void iOffscreenCanvasCallback::SetRGB | ( | iGraphics2D * | canvas,
|  | int | idx,
|  | int | r,
|  | int | g,
|  | int | b |
| ) |  |  | `[pure virtual]`

Palette entry has been modified.

The documentation for this struct was generated from the following file:

- ivideo/graph2d.h